Create a invoice snapshot
POST
/v1/tenants/current/invoice-snapshotscurl -X POST 'https://api.embodiflow.io/v1/tenants/current/invoice-snapshots' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"billingPeriodStart": "2026-01-01T00:00:00Z",
"billingPeriodEnd": "2026-01-01T00:00:00Z"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Header parameters
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
Request body
Content-Typeapplication/json
- billingPeriodStartstring (date-time)required
- billingPeriodEndstring (date-time)required
Responses
Success
- dataobjectrequired
- idstringrequired
- tenantIdstringrequired
- subscriptionIdstring | nullrequired
- billingPeriodStartstringrequired
- billingPeriodEndstringrequired
- currencystringrequired
- totalAmountMinornumberrequired
- lineItemsarray<InvoiceSnapshotLineItemDto>required
- statusstringrequired
- generatedAtstringrequired
- metaobjectrequired
- requestIdstringrequired
- createdone ofrequired
Response example
{
"data": {
"id": "string",
"tenantId": "string",
"subscriptionId": "string",
"billingPeriodStart": "string",
"billingPeriodEnd": "string",
"currency": "string",
"totalAmountMinor": 0,
"lineItems": [
{
"kind": "subscription",
"billingComponent": "string",
"meterCode": "string",
"description": "string",
"quantity": "string",
"includedQuantity": "string",
"overageQuantity": "string",
"unitAmountMinor": 0,
"amountMinor": 0,
"currency": "string",
"pricingRuleId": "string"
}
],
"status": "string",
"generatedAt": "string"
},
"meta": {
"requestId": "string",
"created": false
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1